Subject: Re: bug#67688: 30.0.50; ffap prepends buffers default-directory to guessed file name in case of tramp's file name syntax

From: Michael Albinus <[email-masked]>
Date: Fri, 08 Dec 2023 15:36:24 +0100

Gregor Zattler via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> Dear Emacs developers,

Hi Gregor,

> following this recipe (in
> some Gnu/Linux shell):
>
> $ cd /tmp
> tmp$ emacs -Q -nw
> # type /ssh:user@server:/home/test
> # type M-x ffap RET
>
> the proposed file name in minibuffer then is:
> /tmp/ssh:user@server:/home/test
> instead of
> /ssh:user@server:/home/test
>
> Therefore it's not possible to just hit RET in order
> to open that file.  But that would be nice.

I can reproduce the behavior for all Emacsen down to Emacs 25 (the
oldest I have a running copy of), so I guess it didn't work ever. The
problem is, that `ffap-guesser' returns "ssh:user@server:/home/test",
which looks like a relative file name. Therefore, it is expanded to the
default directory "/tmp/".

I have no idea about ffap.el and thingatpt.el, so I fear I cannot do too
much. Somebody else who knows these libraries might fix it.

> Thanks for your attention, Gregor

Best regards, Michael.